#include <string.h>

#include "sha256.h"

#include "hsh.h"

int get_hsh_data(char *curbuf, int curlen, char *buf, int buflen)
{
    SHA256_CTX ctx;
    if(buflen < SHA256_BLOCK_SIZE) return -1;
    sha256_init(&ctx);
    sha256_update(&ctx, (unsigned char *)curbuf, curlen);
    sha256_final(&ctx, (unsigned char *)buf);
    return SHA256_BLOCK_SIZE;
}

